const express = require('express');
const router = express.Router();
const measuringInstrumentRoutes = require('./measuringInstrumentRoutes');
const incomingInspectionReportRoutes = require('./incomingInspectionReportRoutes');
const dimensionalReportRoutes = require('./dimensionalReportRoutes');
const dimensionalPressBrakeReportRoutes = require('./dimensionalPressBrakeReportRoutes');
const weldingFinalInspectionReportRoutes = require('./weldingFinalInspectionReportRoutes');
const weldingVisualInspectionReportRoutes = require('./weldingVisualInspectionReportRoutes');
const customerComplaintRegisterRoutes = require('./customerComplaintRegisterRoutes');
const inProcessCheckListRoutes = require('./inProcessCheckListRoutes');
const assemblyFinalInspectionReportRoutes = require('./assemblyFinalInspectionReportRoutes');
const measuringInstrumentHistoryCardRoutes = require('./measuringInstrumentHistoryCardRoutes');
const correctiveActionReportRoutes = require('./correctiveActionReportRoutes');
const rejectionReworkRecordRoutes = require('./rejectionReworkRecordRoutes');
const qaMasterRoutes = require('./qaMasterRoutes');

// Mount sub-routes
router.use('/measuring-instruments', measuringInstrumentRoutes);
router.use('/incoming-inspection', incomingInspectionReportRoutes);
router.use('/dimensional-report', dimensionalReportRoutes);
router.use('/dimensional-report-press-brake', dimensionalPressBrakeReportRoutes);
router.use('/welding-final-inspection', weldingFinalInspectionReportRoutes);
router.use('/welding-visual-inspection', weldingVisualInspectionReportRoutes);
router.use('/customer-complaint', customerComplaintRegisterRoutes);
router.use('/in-process-checklist', inProcessCheckListRoutes);
router.use('/assembly-final-inspection', assemblyFinalInspectionReportRoutes);
router.use('/measuring-instrument-history-card', measuringInstrumentHistoryCardRoutes);
router.use('/corrective-action', correctiveActionReportRoutes);
router.use('/rejection-rework', rejectionReworkRecordRoutes);
router.use('/qa-master', qaMasterRoutes);

module.exports = router;
